Page MenuHomePhabricator

Port the elasticsearch plugin extra-analysis-surrogates to 6.4.2 as a noop plugin
Closed, ResolvedPublic

Description

The analysis config for chinese wikis will contain a reference to surrogate merger. Not providing this plugin will prevent us from upgrading to 6.
Since the underlying bug this plugin is designed to fix is fixed we don't need to port the logic but just the declaration of the token filter so that the analysis config created in 5 remains valid in 6.

Event Timeline

dcausse created this task.Nov 13 2018, 10:41 AM
TJones added a comment.EditedNov 13 2018, 3:12 PM

Is this necessary? If we have to reindex everything when we upgrade to ES 6, then we should be okay, because the analysis config builder checks for the presence of extra-analysis-surrogates and will configure itself correctly without it. Or is there some interim stage of the upgrade where it needs to exist?

(Either way, thanks for worrying about this!)

dcausse added a comment.EditedNov 13 2018, 3:14 PM

Existing indices will fail to load when ES6 will boot if the token filters they depend on are not available.

dcausse claimed this task.Dec 10 2018, 6:01 PM
dcausse triaged this task as Normal priority.

Change 478887 had a related patch set uploaded (by DCausse; owner: DCausse):
[search/extra@master] Add noop surrogate_merger as a BC tokenfilter for WMF indices

https://gerrit.wikimedia.org/r/478887

Change 478887 merged by jenkins-bot:
[search/extra@master] Add noop surrogate_merger as a BC tokenfilter for WMF indices

https://gerrit.wikimedia.org/r/478887

debt closed this task as Resolved.Dec 13 2018, 6:05 PM